| GET | /RestApi/sitefinity/data-intelligence/content-analysis-progress |
|---|
export class DECEnableContentAnalysisDto
{
public Progress: number;
public DataCenterApiKey: string;
public SiteNames: string[];
public StatusMessage: string;
public constructor(init?: Partial<DECEnableContentAnalysisDto>) { (Object as any).assign(this, init); }
}
export class DECMonitorContentAnalysisDto
{
public DataCenterProgress: DECEnableContentAnalysisDto[];
public constructor(init?: Partial<DECMonitorContentAnalysisDto>) { (Object as any).assign(this, init); }
}
TypeScript DECMonitorContentAnalysisDto DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/data-intelligence/content-analysis-progress HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
DataCenterProgress:
[
{
Progress: 0,
DataCenterApiKey: String,
SiteNames:
[
String
],
StatusMessage: String
}
]
}